#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x49c54ac2, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x413c4ca2, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x1ae91e87, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x8a7752ae, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xdcf1da8d, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x3498353d, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x30266e2c, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xfdb5af2a, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x875647a5, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x707250e2, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x92da575c, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x21d36463, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xfca51c78, "_gpl");
SYMBOL_CRC(usbnet_open, 0x62156c18, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x65619b61, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xe1414489, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x6165ab0a, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xab8e3df4, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x6ca9c7de, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x35e4edf0, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x4573cd89, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x175461aa, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6d411fec, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x42e33024, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xf335918a, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xfeb59ece, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xda93fc5d, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x21df637d, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xae366421, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xd45f52e5, "");
SYMBOL_CRC(usbnet_manage_power, 0xc221e33b, "");
SYMBOL_CRC(usbnet_link_change, 0xc5bc80c8, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf57df8e7, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x140e229b, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x02dad037, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x1f93d254, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x2e70336a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadbaeb08, "usb_set_interface" },
	{ 0x2ac2467, "usb_string" },
	{ 0x661b9583, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7d2bb56d, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd9073841, "skb_queue_purge_reason" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xa74112ca, "usb_get_urb" },
	{ 0xf732e67, "usb_unlink_urb" },
	{ 0x4ee6acdc, "usb_free_urb" },
	{ 0x9c8eb1db, "usb_submit_urb" },
	{ 0x4e373508, "netdev_err" },
	{ 0xd9d28fbb, "mii_ethtool_get_link_ksettings" },
	{ 0x1131df79, "mii_ethtool_set_link_ksettings" },
	{ 0x143a051f, "mii_nway_restart" },
	{ 0x5c58d945, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x12d04f0, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa1a3c5d6, "usb_scuttle_anchored_urbs" },
	{ 0x4e2fe73a, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x322650c5, "free_netdev" },
	{ 0xa3d9c063, "netdev_info" },
	{ 0xafcedb68, "netif_carrier_on" },
	{ 0x1439e9da, "netif_carrier_off" },
	{ 0xadcca164, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x406531dd, "usb_autopm_get_interface" },
	{ 0x2c9378b8, "usb_autopm_put_interface" },
	{ 0xf4573653, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf69add28, "mii_link_ok" },
	{ 0xa3df4f31, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc3df8db4, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd524eb3e, "remove_wait_queue" },
	{ 0x33af8dd4, "netif_device_detach" },
	{ 0x459f8219, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa029d951, "skb_defer_rx_timestamp" },
	{ 0x7c2b7efa, "netif_rx" },
	{ 0x7205477d, "eth_type_trans" },
	{ 0xb900e791, "skb_queue_tail" },
	{ 0xf2861764, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x1de8895f, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xc4862b8f, "pm_runtime_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe069a49b, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x537b54, "skb_clone_tx_timestamp" },
	{ 0xb34206ab, "usb_autopm_get_interface_async" },
	{ 0x43f82b04, "dev_kfree_skb_any_reason" },
	{ 0xd995c24d, "skb_tstamp_tx" },
	{ 0xae3da988, "usb_anchor_urb" },
	{ 0xcf6af374, "__netdev_alloc_skb" },
	{ 0xd6eff259, "consume_skb" },
	{ 0x944638bd, "netif_tx_wake_queue" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x8bb9c27c, "usb_autopm_get_interface_no_resume" },
	{ 0x7c0f3473, "usb_get_from_anchor" },
	{ 0x23a52010, "skb_put" },
	{ 0xa76e1004, "usb_clear_halt" },
	{ 0xe2c2d9a6, "eth_mac_addr" },
	{ 0xf93ed33f, "eth_validate_addr" },
	{ 0x35ac1af0, "dev_get_tstats64" },
	{ 0x109c668d, "ethtool_op_get_ts_info" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.5");
