#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xb5036176, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x63cb105e, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xbeb2b132, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x51311c1d, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xbc8197b6, "_gpl");
SYMBOL_CRC(lockd_up, 0x403efe61, "_gpl");
SYMBOL_CRC(lockd_down, 0x7d557780, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x5b1874c3, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd19fc91d, "rpc_put_task" },
	{ 0xac0d97c, "svc_generic_rpcbind_set" },
	{ 0xfcf401b, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xaa82dfab, "__init_rwsem" },
	{ 0xc4ff4e08, "bpf_trace_run4" },
	{ 0x14c21b91, "param_ops_uint" },
	{ 0xa17ec01c, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1db02277, "rpc_shutdown_client" },
	{ 0x23389dc0, "svc_bind" },
	{ 0x3105fbbf, "proc_create" },
	{ 0x388be426, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbfa19959, "xdr_inline_decode" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xa9445864, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xce30adad, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x68e990f2, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6f4ff7, "svc_exit_thread" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x8fdfa3f2, "param_get_ulong" },
	{ 0x283dce22, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf7871de6, "__put_cred" },
	{ 0x441d7fa4, "register_pernet_subsys" },
	{ 0xae5a44d7, "locks_in_grace" },
	{ 0xa0f853ec, "wake_up_process" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x42253791, "proc_dobool" },
	{ 0xeba65ea9, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x422bdb20, "unregister_sysctl_table" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0x3fdc8304, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2d7093fa, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4148e84a, "simple_transaction_release" },
	{ 0xb5785ad, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x50cdd383, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf657d538, "perf_trace_run_bpf_submit" },
	{ 0xfcbcb733, "down_write" },
	{ 0x62b45dd6, "init_net" },
	{ 0x8f37910f, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x68ea4a48, "svc_set_num_threads" },
	{ 0xbb56d559, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x873857bd, "vfs_cancel_lock" },
	{ 0x51daf3f, "proc_doulongvec_minmax" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x7220805f, "freezing_slow_path" },
	{ 0x6ee6c567, "rpc_create" },
	{ 0xf0402297, "svc_destroy" },
	{ 0x60654ea1, "rpc_call_start" },
	{ 0x466af1cd, "svc_create" },
	{ 0x77832bdf, "default_llseek" },
	{ 0x63cb18ec, "rpc_call_sync" },
	{ 0x460b2f61, "proc_mkdir" },
	{ 0xd9fedc0a, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0x43528ea1, "vfs_lock_file" },
	{ 0x3ae4cbf6, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x364373a4, "svc_generic_init_request" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x1699f936, "down_read" },
	{ 0x70ca4e70, "svc_set_client" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x92400e9d, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb86569c0, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x84c31e4, "rpc_force_rebind" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x820c5046, "rpc_restart_call" },
	{ 0x65db0851, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb60825cc, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd3a745aa, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x407f5efd, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x79242cc9, "locks_delete_block" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa987283, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x26fe33e8, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x41a946b1, "up_read" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x600baa9f, "svc_xprt_create" },
	{ 0x6e96be3a, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xc1417e31, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42475bd7, "proc_dointvec_minmax" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "9281A50CAA0FE8C968CCDFB");
MODULE_INFO(rhelversion, "9.5");
