#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xca7d7415, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x3c0ac80a, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xddb33d13, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xaba55684, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x1f9ca357, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x809b5b01, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x1575d2af, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xf45b5c86, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xd9e51074, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xdb936c9f, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x1cdc75ba, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x114a961b, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x8e906e2c, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x47fd504d, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xe55b680f, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x5b3d210c, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x6fce99e4, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x4ac77c21, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x97a4f095, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xc6a146b8, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x1e80c6f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5aa81172, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x974ea3, "icmpv6_ndo_send" },
	{ 0x34abc432, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7b29f5c5, "alloc_netdev_mqs" },
	{ 0xe5d27a66, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x322650c5, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4054e700, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x8606d75f, "ip_route_output_flow" },
	{ 0x6fbfa62d, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8c64926c, "__dev_get_by_index" },
	{ 0xa1670bf1, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x33d88d2d, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc8bb2a46, "netdev_state_change" },
	{ 0x6e735c6b, "ns_capable" },
	{ 0x81693631, "dev_set_mtu" },
	{ 0x62b45dd6, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x115580c5, "skb_copy_bits" },
	{ 0xf951da3d, "iptunnel_xmit" },
	{ 0xdfde7a0d, "kfree_skb_reason" },
	{ 0x8718218d, "__skb_get_hash" },
	{ 0x5a9d3f33, "dst_cache_get_ip4" },
	{ 0xdb1dd9e6, "dst_cache_set_ip4" },
	{ 0x7545fbbd, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6c07ba4f, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfd042073, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfdf71917, "skb_scrub_packet" },
	{ 0xbcc3312c, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0x7205477d, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C79CC6ED03117D53762AAB8");
MODULE_INFO(rhelversion, "9.5");
