#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf28f3444, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x358995a5, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x5694df44, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x22b05d68, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x52dd0f41, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xe09d0de0, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x20b3f31c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xa2caeddd, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x2f800cc8, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe6c0d405, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x9cc037dd, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xe04cd124, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x6035d03d, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x11b82021, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x1e0c0c80, "");
SYMBOL_CRC(nf_nat_follow_master, 0x5a6c4605, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xf23ac10f, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xc201cb14, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xa7a539e6, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x7fe8e5a6, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x4acdb71e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa237bb3, "nf_ct_ext_add" },
	{ 0x9979787c, "__do_once_done" },
	{ 0xa7e9c944, "nf_conntrack_find_get" },
	{ 0x19ef4897, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2cfe7fb8, "nf_ip6_checksum" },
	{ 0x115580c5, "skb_copy_bits" },
	{ 0x84294b7a, "nf_hook_entries_insert_raw" },
	{ 0x8d2c2197, "xfrm_lookup" },
	{ 0xd9c508bc, "nf_ct_seqadj_set" },
	{ 0x23a52010, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3582180f, "nf_ct_helper_expectfn_unregister" },
	{ 0x39125fcb, "__xfrm_decode_session" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6ab70461, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7545fbbd, "pskb_expand_head" },
	{ 0x441d7fa4, "register_pernet_subsys" },
	{ 0x4b51727f, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x9963fe1f, "nf_ct_iterate_cleanup_net" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4a53d204, "ipv6_skip_exthdr" },
	{ 0x79519018, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcd19fe38, "nf_ipv6_ops" },
	{ 0xdea367fa, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xe84d3320, "nf_conntrack_alter_reply" },
	{ 0x3cbddeb5, "ip_route_me_harder" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x9e3a7ec, "nf_hook_entries_delete_raw" },
	{ 0x25deaee9, "skb_ensure_writable" },
	{ 0x5533dd76, "nf_unregister_net_hooks" },
	{ 0xf5596894, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xd9fedc0a, "unregister_pernet_subsys" },
	{ 0xfe774213, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd25f3afa, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x9fd4f968, "nf_ip_checksum" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x97670102, "register_btf_kfunc_id_set" },
	{ 0xe51c7ff3, "nf_ct_iterate_destroy" },
	{ 0x16fc960b, "inet_proto_csum_replace16" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x41b524de, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe0ccff99, "__skb_checksum" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xa09413e0, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6fbfa62d, "dst_release" },
	{ 0x392743ce, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd6a1af80, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2BC8075DFAE62DEFD8CCA91");
MODULE_INFO(rhelversion, "9.5");
