#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x181711d7, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x738c5152, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x9068e1e9, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x284e449d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xd810c49c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x868e3ee6, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xa37080ad, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x567548a7, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x031a60e0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xeb38b69e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xb5a64ce4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x441d7fa4, "register_pernet_subsys" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xd9fedc0a, "unregister_pernet_subsys" },
	{ 0x79519018, "nf_register_net_hooks" },
	{ 0x5533dd76, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xcd19fe38, "nf_ipv6_ops" },
	{ 0xdfde7a0d, "kfree_skb_reason" },
	{ 0x8d2c2197, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3876580, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x25deaee9, "skb_ensure_writable" },
	{ 0xa09413e0, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x3cbddeb5, "ip_route_me_harder" },
	{ 0x15987a24, "ip_local_out" },
	{ 0x17ab16c3, "__alloc_skb" },
	{ 0x23a52010, "skb_put" },
	{ 0x115580c5, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3f33e282, "nf_ct_tmpl_alloc" },
	{ 0xaa237bb3, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xeed8b90a, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x490cb3db, "nf_ct_tmpl_free" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4a53d204, "ipv6_skip_exthdr" },
	{ 0x2fa45335, "nf_ct_seqadj_init" },
	{ 0xd6eff259, "consume_skb" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.5");
