#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x73ee2964, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x0914d653, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xf01d0e61, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xb50cc58f, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x7e67fb8b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a36a2da, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xf5dbbe4d, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e96ff10, "inet_addr_type_table" },
	{ 0xf5d059cb, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x115580c5, "skb_copy_bits" },
	{ 0x5a4bccb7, "inet_unregister_protosw" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xe3a1bbd5, "sock_wfree" },
	{ 0x23a52010, "skb_put" },
	{ 0x740391e1, "register_net_sysctl" },
	{ 0x8d7e37a9, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe03092e8, "ip6_dst_hoplimit" },
	{ 0xd6eff259, "consume_skb" },
	{ 0xf7b9717f, "inet6_add_offload" },
	{ 0x8a1d78a3, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdfc6fb85, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0x233db7cf, "l3mdev_fib_table_by_index" },
	{ 0x3e62c560, "udp_sock_create4" },
	{ 0xe069a49b, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xacd5dbb6, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x1872922, "skb_segment" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0xd6b2e3f1, "__ip_dev_find" },
	{ 0xa45fb573, "udp_tunnel6_xmit_skb" },
	{ 0xf267093d, "sock_common_getsockopt" },
	{ 0xd0e986fd, "inet_bind" },
	{ 0xd423b6b3, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa9445864, "prepare_to_wait" },
	{ 0xe3163885, "fd_install" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8797a9c0, "inet_register_protosw" },
	{ 0x29417796, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x9aaf1668, "bpf_trace_run2" },
	{ 0xa45d380b, "sock_common_setsockopt" },
	{ 0x7d74e8c3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8606d75f, "ip_route_output_flow" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0xa31f88d2, "kmem_cache_create" },
	{ 0x1e4f5ef, "__sk_mem_schedule" },
	{ 0xca5c0bc6, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x69837ef2, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeed8b90a, "proc_create_net_data" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7fc86d18, "sk_error_report" },
	{ 0x441d7fa4, "register_pernet_subsys" },
	{ 0x296f3e23, "put_cmsg" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x5667567c, "inet_sock_destruct" },
	{ 0x8f913289, "crypto_destroy_tfm" },
	{ 0x84f2ae0f, "sock_kmalloc" },
	{ 0xe02666f9, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x4c892862, "inet_getname" },
	{ 0x59a8bd25, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x17ab16c3, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xbe6753bd, "inet_release" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0xa90e1ccc, "kmem_cache_alloc" },
	{ 0x679c9720, "proto_register" },
	{ 0xf188d761, "skb_copy_expand" },
	{ 0x969dd0bb, "__wake_up_sync_key" },
	{ 0xca0422b4, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xfd26ef79, "inet_ctl_sock_create" },
	{ 0x80abd15b, "inet_ioctl" },
	{ 0x8b6c6e10, "reuseport_add_sock" },
	{ 0xc288aed3, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x9f1ade1f, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd02be3da, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf657d538, "perf_trace_run_bpf_submit" },
	{ 0x4b37f30f, "fput" },
	{ 0x3726ffd8, "__traceiter_sk_data_ready" },
	{ 0x61cfa10d, "inet_accept" },
	{ 0x62b45dd6, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x603dc683, "crypto_shash_setkey" },
	{ 0x1ae1e348, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf699e44e, "inet_add_offload" },
	{ 0x3727bee9, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x200ee302, "inet_add_protocol" },
	{ 0x2428f82, "inet_shutdown" },
	{ 0xa2e9fd1b, "sk_free" },
	{ 0xf3115033, "sock_wake_async" },
	{ 0xd1bd9c0d, "dev_get_by_index_rcu" },
	{ 0xdfde7a0d, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xef487d87, "inet_del_offload" },
	{ 0xbc093f8, "skb_push" },
	{ 0xb841c831, "__ip_queue_xmit" },
	{ 0x3da282cd, "kmem_cache_free" },
	{ 0x28dd2755, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x51daf3f, "proc_doulongvec_minmax" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0x6e735c6b, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9b13fbac, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x839157c0, "inet6_ioctl" },
	{ 0x7fa05c7, "skb_copy_datagram_iter" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ee2c0b1, "idr_alloc_cyclic" },
	{ 0xc20351a8, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd9fedc0a, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x90b06664, "ip6_dst_lookup_flow" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0xad2c8767, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x8cf650a4, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x13cd3c6b, "sock_no_mmap" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0xfd042073, "__pskb_pull_tail" },
	{ 0xe3963468, "sock_no_sendpage" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x5b12cc26, "setup_udp_tunnel_sock" },
	{ 0x31cccf, "udp_sock_create6" },
	{ 0x5d284664, "skb_trim" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb34abcd3, "sk_common_release" },
	{ 0xf1ef70b6, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0x51a54e6, "inet6_getname" },
	{ 0x826c1ced, "sock_i_ino" },
	{ 0x3dcb0297, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3dec19e2, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xa28e5382, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296c5c4, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0xe0ccff99, "__skb_checksum" },
	{ 0xf4ea383a, "reuseport_alloc" },
	{ 0x9f8f9313, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xb84857d6, "inet6_release" },
	{ 0xf19e1b20, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x87c52334, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfec667d8, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd5c4fd4, "rhltable_init" },
	{ 0xfbcd2657, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xde49b3ad, "proc_create_net_single" },
	{ 0x284f96e9, "skb_copy" },
	{ 0x21ebd69e, "skb_clone" },
	{ 0xff5770c8, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6fbfa62d, "dst_release" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0xa4b6a440, "sock_release" },
	{ 0x5af794f9, "inet_recv_error" },
	{ 0xd3a745aa, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xe434fee, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0x77c18064, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb680a859, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x59c030b4, "send_sig" },
	{ 0xdad12de9, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2fb565e2, "inet6_add_protocol" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x6ec7d325, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0xf23443b4, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xac88773e, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe4449ffa, "reuseport_detach_sock" },
	{ 0xe54f6211, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x89c06ce5, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x52c2155d, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x7686fa5e, "kmem_cache_destroy" },
	{ 0x3c84d7d4, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x538bb0a2, "skb_queue_head" },
	{ 0x42475bd7, "proc_dointvec_minmax" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "249D094F4E5130517199CA8");
MODULE_INFO(rhelversion, "9.5");
