#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x1ebb818d, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xc2aa1b23, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x3c32e9ab, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xdea2a978, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x0b3c0997, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x76aa1db0, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xb7593f2d, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x78f0c711, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xcef0604a, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x38c89231, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x4799c1e0, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x9670f5a0, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x6d456f5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19ef4897, "try_module_get" },
	{ 0xf63d7131, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa608e907, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x53e21857, "_dev_info" },
	{ 0xdea367fa, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbf53f695, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xfcbcb733, "down_write" },
	{ 0x6c91a2fa, "_dev_err" },
	{ 0x8f37910f, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5522d167, "device_create" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xc60785c, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1ddee76b, "__nvme_submit_sync_cmd" },
	{ 0xdcb764ad, "memset" },
	{ 0x4b51c2b6, "_dev_warn" },
	{ 0xd52dfc4f, "misc_register" },
	{ 0xf67d2232, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x1699f936, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x17166e34, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x57e2eba0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x17b8e167, "single_open" },
	{ 0x41a946b1, "up_read" },
	{ 0xbe572f67, "class_register" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x518b88ec, "nvme_auth_negotiate" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "708EB3AC6E8727EFE3ADF50");
MODULE_INFO(rhelversion, "9.5");
