#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x4f12da05, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7956f67, "nvme_remove_admin_tag_set" },
	{ 0xaf1bca5d, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xf6d45e52, "nvme_uninit_ctrl" },
	{ 0xba313740, "ida_destroy" },
	{ 0x486b5299, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d456f5d, "nvmf_free_options" },
	{ 0x2cb4223e, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0xdb176eb7, "nvme_stop_keep_alive" },
	{ 0xd30cfcd8, "blk_mq_complete_request_remote" },
	{ 0xef8067e8, "dma_unmap_page_attrs" },
	{ 0xde5a4825, "nvme_setup_cmd" },
	{ 0xd6365bf8, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x95cf999d, "nvme_alloc_admin_tag_set" },
	{ 0x76aa1db0, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xc2aa1b23, "nvmf_reg_read32" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0xa06a74c3, "nvme_delete_ctrl" },
	{ 0x5b460744, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1f11b5cb, "dev_driver_string" },
	{ 0x1ebb818d, "nvmf_get_address" },
	{ 0xec34d9b0, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb3bdc3b6, "nvme_remove_io_tag_set" },
	{ 0x57ef89ec, "nvme_cleanup_cmd" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x465301a7, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcef0604a, "nvmf_unregister_transport" },
	{ 0x9abb7e64, "blkcg_get_fc_appid" },
	{ 0xa608e907, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc8851977, "nvme_change_ctrl_state" },
	{ 0x53e21857, "_dev_info" },
	{ 0xe170eaec, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x664ea5e9, "nvme_alloc_io_tag_set" },
	{ 0x1f218277, "nvme_fail_nonready_command" },
	{ 0xade1d5e2, "kobject_uevent_env" },
	{ 0xf07047cf, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6c91a2fa, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x5522d167, "device_create" },
	{ 0x4f2f61d8, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x11743144, "__blk_rq_map_sg" },
	{ 0x85551ba9, "ida_free" },
	{ 0x3c32e9ab, "nvmf_reg_read64" },
	{ 0xc60785c, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb3c0997, "nvmf_connect_admin_queue" },
	{ 0xe589a6e5, "nvme_enable_ctrl" },
	{ 0xf5fb6fda, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x4b51c2b6, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x359e40b0, "nvme_unquiesce_io_queues" },
	{ 0x5fe385d, "blk_mq_update_nr_hw_queues" },
	{ 0xdea2a978, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb7593f2d, "nvmf_should_reconnect" },
	{ 0x1eae474f, "__dma_sync_single_for_device" },
	{ 0x26fc898, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x57e2eba0, "device_destroy" },
	{ 0x484e170e, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x78f0c711, "nvmf_register_transport" },
	{ 0x9879d869, "blk_mq_start_request" },
	{ 0x721b007f, "nvme_quiesce_io_queues" },
	{ 0xbd34cfb3, "blk_mq_tagset_busy_iter" },
	{ 0x10649ebd, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa508ab89, "dma_unmap_sg_attrs" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xbf8abbbe, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x57d5ba4c, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xcf45a24e, "nvme_quiesce_admin_queue" },
	{ 0xbe572f67, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd795c18, "__nvme_check_ready" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xac39a5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F9BA19A3A552B8022628C50");
MODULE_INFO(rhelversion, "9.5");
