#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x7b444442, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xd5569518, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x592754fb, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x4ab06b4f, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xa09b77f9, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x499de2bf, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xc0127ace, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x9569d4f0, "nf_ct_helper_init" },
	{ 0x20f34992, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x17b4b536, "nf_conntrack_helpers_unregister" },
	{ 0xc7cf6b11, "nf_ct_helper_log" },
	{ 0xaaccb63f, "nf_conntrack_expect_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1fe4e3f9, "nf_ct_remove_expect" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x47f2a718, "__nf_ct_refresh_acct" },
	{ 0xfd042073, "__pskb_pull_tail" },
	{ 0x115580c5, "skb_copy_bits" },
	{ 0xdd72b42c, "nf_ct_expect_alloc" },
	{ 0xa42e80e5, "nf_ct_expect_init" },
	{ 0xed444936, "nf_ct_expect_put" },
	{ 0xc6dd194f, "nf_ct_expect_related_report" },
	{ 0x5c226634, "__nf_ct_expect_find" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd19fe38, "nf_ipv6_ops" },
	{ 0x6fbfa62d, "dst_release" },
	{ 0x752643c4, "nf_ip_route" },
	{ 0xd0d031ed, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x16f616ad, "param_ops_ushort" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x14c21b91, "param_ops_uint" },
	{ 0x1d39245b, "param_array_ops" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.5");
