#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xe034704e, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xb2eef246, "_gpl");
SYMBOL_CRC(tls_get_record, 0x3fa74744, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x2927d315, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x7cbb734c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93f25215, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x44bcf99c, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf40c3d94, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2c734b07, "tcp_read_sock" },
	{ 0xc4ff4e08, "bpf_trace_run4" },
	{ 0x115580c5, "skb_copy_bits" },
	{ 0xc891c39a, "sk_page_frag_refill" },
	{ 0x23a52010, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd6eff259, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0x4f5e1390, "sk_psock_msg_verdict" },
	{ 0x172e6bd5, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0x22d739b, "iov_iter_get_pages2" },
	{ 0x6485a432, "___pskb_trim" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3df8db4, "add_wait_queue" },
	{ 0x7ae4386e, "__put_devmap_managed_page_refs" },
	{ 0x68f12567, "clean_acked_data_enable" },
	{ 0x26081420, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x189e1586, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x648b4a, "crypto_aead_setauthsize" },
	{ 0x7400e010, "crypto_aead_decrypt" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x88fd93d5, "sk_stream_error" },
	{ 0x52f70696, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeacb2593, "sk_msg_memcopy_from_iter" },
	{ 0x7fc86d18, "sk_error_report" },
	{ 0x441d7fa4, "register_pernet_subsys" },
	{ 0x296f3e23, "put_cmsg" },
	{ 0xb331db86, "__sk_flush_backlog" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0x8f913289, "crypto_destroy_tfm" },
	{ 0x4055d1bc, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0xc26ffa4e, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8f6083d9, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0x17ab16c3, "__alloc_skb" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0xe8a0881a, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x3c20da9d, "tcp_recv_skb" },
	{ 0xeed0219b, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf657d538, "perf_trace_run_bpf_submit" },
	{ 0xfcbcb733, "down_write" },
	{ 0x3726ffd8, "__traceiter_sk_data_ready" },
	{ 0x106dc745, "crypto_req_done" },
	{ 0x8f37910f, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0870bf4, "crypto_aead_encrypt" },
	{ 0xc4abfbae, "bpf_trace_run5" },
	{ 0xa2e9fd1b, "sk_free" },
	{ 0x921066b0, "skb_store_bits" },
	{ 0xdfde7a0d, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x28dd2755, "__sk_mem_reclaim" },
	{ 0xac7aa251, "sk_stream_wait_memory" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0xc0c08d28, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0xf3e70f5, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x9b13fbac, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1edc9c93, "sk_msg_return_zero" },
	{ 0xd791d63c, "mutex_lock_interruptible" },
	{ 0x7fa05c7, "skb_copy_datagram_iter" },
	{ 0x6c34d01e, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd9fedc0a, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x3563791b, "sock_efree" },
	{ 0x4cb1245f, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf8f63ba3, "clean_acked_data_disable" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xbc7cbacd, "sk_msg_free_partial" },
	{ 0x1699f936, "down_read" },
	{ 0x5d284664, "skb_trim" },
	{ 0x6c6c27f5, "mutex_trylock" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x12d3962d, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9950dfcd, "tcp_register_ulp" },
	{ 0xf1ef70b6, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xdbf2e8f9, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3ff913d3, "skb_page_frag_refill" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd4480925, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x99afca2e, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8f054754, "__folio_put" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xde49b3ad, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x21ebd69e, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6fbfa62d, "dst_release" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0xdfba11e8, "skb_copy_header" },
	{ 0xba304ead, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd524eb3e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xce43e5e6, "netdev_sk_get_lowest_dev" },
	{ 0x42c516b7, "sk_msg_alloc" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xbc9ac081, "_copy_from_iter_nocache" },
	{ 0xe01976d0, "tcp_rate_check_app_limited" },
	{ 0xf7a253cf, "tcp_poll" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x3701c001, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf410ca0d, "skb_to_sgvec" },
	{ 0x41a946b1, "up_read" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x469b8f23, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xfe5836a3, "tcp_read_done" },
	{ 0x3c84d7d4, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.5");
